Resource

Incident SLA Rule

Configure SLA rules to define response and resolution time targets for incidents

The Incident SLA Rule Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Name of this SLA rule

  • Name
    description
    Type
    Long Text
    Description

    Description of this SLA rule

  • Name
    order
    Type
    NumberRequired
    Description

    Order/priority of this rule. Rules are evaluated in order (lowest first). First matching rule wins.

  • Name
    isEnabled
    Type
    BooleanRequired
    Description

    Whether this SLA rule is enabled

  • Name
    responseTimeInMinutes
    Type
    Number
    Description

    Target response time in minutes. This is the maximum time allowed before the incident must be acknowledged.

  • Name
    resolutionTimeInMinutes
    Type
    Number
    Description

    Target resolution time in minutes. This is the maximum time allowed before the incident must be resolved.

  • Name
    atRiskThresholdInPercentage
    Type
    NumberRequired
    Description

    Percentage of the deadline at which the SLA status changes to At Risk. For example, 80 means the status becomes At Risk when 80% of the time has elapsed.

  • Name
    internalNoteReminderIntervalInMinutes
    Type
    Number
    Description

    How often (in minutes) to automatically post internal notes to unresolved incidents. Internal notes are only visible to your team. For example, set to 30 to remind your team every 30 minutes to provide an update. Leave empty to disable.

  • Name
    publicNoteReminderIntervalInMinutes
    Type
    Number
    Description

    How often (in minutes) to automatically post public notes to unresolved incidents. Public notes are visible to external stakeholders on your status page. For example, set to 60 to post a status update every hour. Leave empty to disable.

  • Name
    internalNoteReminderTemplate
    Type
    Markdown
    Description

    The content of the automatic internal note posted to your team. Use variables like {{incidentTitle}}, {{elapsedTime}}, {{slaStatus}}, {{timeToResolutionDeadline}} to include dynamic incident data. If left empty, a default template will be used.

  • Name
    publicNoteReminderTemplate
    Type
    Markdown
    Description

    The content of the automatic public note shown on your status page. Use variables like {{incidentTitle}}, {{elapsedTime}}, {{slaStatus}}, {{timeToResolutionDeadline}} to include dynamic incident data. If left empty, a default template will be used.

  • Name
    monitors
    Type
    Monitor
    Description

    Only apply this SLA rule to incidents affecting these monitors. Leave empty to match incidents from any monitor.

  • Name
    incidentSeverities
    Type
    Incident Severity
    Description

    Only apply this SLA rule to incidents with these severities. Leave empty to match incidents of any severity.

  • Name
    incidentLabels
    Type
    Label
    Description

    Only apply this SLA rule to incidents that have at least one of these labels. Leave empty to match incidents regardless of labels.

  • Name
    monitorLabels
    Type
    Label
    Description

    Only apply this SLA rule to incidents from monitors that have at least one of these labels. Leave empty to match incidents regardless of monitor labels.

  • Name
    incidentTitlePattern
    Type
    Long Text
    Description

    Regular expression pattern to match incident titles. Leave empty to match any title. Example: 'CPU.*high' matches titles containing 'CPU' followed by 'high'.

  • Name
    incidentDescriptionPattern
    Type
    Long Text
    Description

    Regular expression pattern to match incident descriptions. Leave empty to match any description.

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/incident-sla-rule/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incident SLA Rule. By default, a maximum of ten Incident SLA Rule are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incident-sla-rule/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "atRiskThresholdInPercentage": true,
    "isEnabled": true,
    "name": true,
    "order": true,
    "projectId": true
  },
  "query": {
    "name": "Example name"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3771dfd0-28fe-11f1-b591-3fdcef396aba",
      "atRiskThresholdInPercentage": 100,
      "isEnabled": true,
      "name": "Example name",
      "order": 100,
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "3771dfd1-28fe-11f1-b591-3fdcef396aba",
      "atRiskThresholdInPercentage": 100,
      "isEnabled": true,
      "name": "Example name",
      "order": 100,
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "3771dfd2-28fe-11f1-b591-3fdcef396aba",
      "atRiskThresholdInPercentage": 100,
      "isEnabled": true,
      "name": "Example name",
      "order": 100,
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
GETorPOST/api/incident-sla-rule/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incident SLA Rule by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incident-sla-rule/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "atRiskThresholdInPercentage": true,
    "isEnabled": true,
    "name": true,
    "order": true,
    "projectId": true
  }
}

Response

{
  "_id": "3771dfd0-28fe-11f1-b591-3fdcef396aba",
  "atRiskThresholdInPercentage": 100,
  "isEnabled": true,
  "name": "Example name",
  "order": 100,
  "projectId": "550e8400-e29b-41d4-a716-446655440000"
}
POST/api/incident-sla-rule/count

Count

This endpoint allows you to retrieve the count of all your Incident SLA Rule.

Optional Request Body

Count Request

POST
/api/incident-sla-rule/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Example name"
  }
}

Response

{
  "count": 107
}
POST/api/incident-sla-rule

Create Incident SLA Rule

This endpoint allows you to create a new object.

Create Request

POST
/api/incident-sla-rule
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "atRiskThresholdInPercentage": 100,
    "isEnabled": true,
    "name": "Example name",
    "order": 100,
    "projectId": "550e8400-e29b-41d4-a716-446655440000"
  }
}

Response

{
  "_id": "3771dfd0-28fe-11f1-b591-3fdcef396aba",
  "atRiskThresholdInPercentage": 100,
  "isEnabled": true,
  "name": "Example name",
  "order": 100,
  "projectId": "550e8400-e29b-41d4-a716-446655440000"
}
PUT/api/incident-sla-rule/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/incident-sla-rule/:id/update-item
GET/api/incident-sla-rule/:id/update-item

Update Request

PUT
/api/incident-sla-rule/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "atRiskThresholdInPercentage": 100,
    "isEnabled": true,
    "name": "Example name"
  }
}

Response

{}
DELETE/api/incident-sla-rule/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/incident-sla-rule/:id/delete-item
GET/api/incident-sla-rule/:id/delete-item

Delete Request

DELETE
/api/incident-sla-rule/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incident SLA Rule

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incident SLA Rule
  • Read All Project Resources

Create Permissions

Required to create Incident SLA Rule

  • Project Owner
  • Project Admin
  • Create Incident SLA Rule

Update Permissions

Required to update Incident SLA Rule

  • Project Owner
  • Project Admin
  • Edit Incident SLA Rule

Delete Permissions

Required to delete Incident SLA Rule

  • Project Owner
  • Project Admin
  • Delete Incident SLA Rule